Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nz.co.cks.tms.xml
Class ReportBillingType

    java.lang.Object
      nz.co.cks.tms.xml.ReportBillingType

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ReportBilling

public abstract class ReportBillingType
extends java.lang.Object
implements java.io.Serializable

Class ReportBillingType.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `_customerOnchargeRef` Field _customerOnchargeRef
`private java.util.Date` | `_endDateTime` Field _endDateTime
`private boolean` | `_has_ncbId` keeps track of state for field: _ncbId
`private org.exolab.castor.types.Date` | `_invoiceDate` Field _invoiceDate
`private java.lang.String` | `_loginName` Field _loginName
`private int` | `_ncbId` Field _ncbId
`private java.lang.String` | `_serviceCode` Field _serviceCode
`private java.util.Date` | `_startDateTime` Field _startDateTime

Constructor Summary
`ReportBillingType()`

Method Summary
`void` | `deleteNcbId()` Method deleteNcbId
`java.lang.String` | `getCustomerOnchargeRef()` Method getCustomerOnchargeRefReturns the value of field 'customerOnchargeRef'.
`java.util.Date` | `getEndDateTime()` Method getEndDateTimeReturns the value of field 'endDateTime'.
`org.exolab.castor.types.Date` | `getInvoiceDate()` Method getInvoiceDateReturns the value of field 'invoiceDate'.
`java.lang.String` | `getLoginName()` Method getLoginNameReturns the value of field 'loginName'.
`int` | `getNcbId()` Method getNcbIdReturns the value of field 'ncbId'.
`java.lang.String` | `getServiceCode()` Method getServiceCodeReturns the value of field 'serviceCode'.
`java.util.Date` | `getStartDateTime()` Method getStartDateTimeReturns the value of field 'startDateTime'.
`boolean` | `hasNcbId()` Method hasNcbId
`boolean` | `isValid()` Method isValid
`void` | `setCustomerOnchargeRef(java.lang.String customerOnchargeRef)` Method setCustomerOnchargeRefSets the value of field 'customerOnchargeRef'.
`void` | `setEndDateTime(java.util.Date endDateTime)` Method setEndDateTimeSets the value of field 'endDateTime'.
`void` | `setInvoiceDate(org.exolab.castor.types.Date invoiceDate)` Method setInvoiceDateSets the value of field 'invoiceDate'.
`void` | `setLoginName(java.lang.String loginName)` Method setLoginNameSets the value of field 'loginName'.
`void` | `setNcbId(int ncbId)` Method setNcbIdSets the value of field 'ncbId'.
`void` | `setServiceCode(java.lang.String serviceCode)` Method setServiceCodeSets the value of field 'serviceCode'.
`void` | `setStartDateTime(java.util.Date startDateTime)` Method setStartDateTimeSets the value of field 'startDateTime'.
`void` | `validate()` Method validate

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _customerOnchargeRef

    private java.lang.String _customerOnchargeRef

  Field _customerOnchargeRef

### _endDateTime

    private java.util.Date _endDateTime

  Field _endDateTime

### _has_ncbId

    private boolean _has_ncbId

  keeps track of state for field: _ncbId

### _invoiceDate

    private org.exolab.castor.types.Date _invoiceDate

  Field _invoiceDate

### _loginName

    private java.lang.String _loginName

  Field _loginName

### _ncbId

    private int _ncbId

  Field _ncbId

### _serviceCode

    private java.lang.String _serviceCode

  Field _serviceCode

### _startDateTime

    private java.util.Date _startDateTime

  Field _startDateTime

Constructor Detail

### ReportBillingType

    public ReportBillingType()

Method Detail

### deleteNcbId

    public void deleteNcbId()

  Method deleteNcbId

### getCustomerOnchargeRef

    public java.lang.String getCustomerOnchargeRef()

  Method getCustomerOnchargeRefReturns the value of field 'customerOnchargeRef'.

  Returns:
    the value of field 'customerOnchargeRef'.

### getEndDateTime

    public java.util.Date getEndDateTime()

  Method getEndDateTimeReturns the value of field 'endDateTime'.

  Returns:
    the value of field 'endDateTime'.

### getInvoiceDate

    public org.exolab.castor.types.Date getInvoiceDate()

  Method getInvoiceDateReturns the value of field 'invoiceDate'.

  Returns:
    the value of field 'invoiceDate'.

### getLoginName

    public java.lang.String getLoginName()

  Method getLoginNameReturns the value of field 'loginName'.

  Returns:
    the value of field 'loginName'.

### getNcbId

    public int getNcbId()

  Method getNcbIdReturns the value of field 'ncbId'.

  Returns:
    the value of field 'ncbId'.

### getServiceCode

    public java.lang.String getServiceCode()

  Method getServiceCodeReturns the value of field 'serviceCode'.

  Returns:
    the value of field 'serviceCode'.

### getStartDateTime

    public java.util.Date getStartDateTime()

  Method getStartDateTimeReturns the value of field 'startDateTime'.

  Returns:
    the value of field 'startDateTime'.

### hasNcbId

    public boolean hasNcbId()

  Method hasNcbId

### isValid

    public boolean isValid()

  Method isValid

### setCustomerOnchargeRef

    public void setCustomerOnchargeRef(java.lang.String customerOnchargeRef)

  Method setCustomerOnchargeRefSets the value of field 'customerOnchargeRef'.

  Parameters:
    `customerOnchargeRef` - the value of field 'customerOnchargeRef'.

### setEndDateTime

    public void setEndDateTime(java.util.Date endDateTime)

  Method setEndDateTimeSets the value of field 'endDateTime'.

  Parameters:
    `endDateTime` - the value of field 'endDateTime'.

### setInvoiceDate

    public void setInvoiceDate(org.exolab.castor.types.Date invoiceDate)

  Method setInvoiceDateSets the value of field 'invoiceDate'.

  Parameters:
    `invoiceDate` - the value of field 'invoiceDate'.

### setLoginName

    public void setLoginName(java.lang.String loginName)

  Method setLoginNameSets the value of field 'loginName'.

  Parameters:
    `loginName` - the value of field 'loginName'.

### setNcbId

    public void setNcbId(int ncbId)

  Method setNcbIdSets the value of field 'ncbId'.

  Parameters:
    `ncbId` - the value of field 'ncbId'.

### setServiceCode

    public void setServiceCode(java.lang.String serviceCode)

  Method setServiceCodeSets the value of field 'serviceCode'.

  Parameters:
    `serviceCode` - the value of field 'serviceCode'.

### setStartDateTime

    public void setStartDateTime(java.util.Date startDateTime)

  Method setStartDateTimeSets the value of field 'startDateTime'.

  Parameters:
    `startDateTime` - the value of field 'startDateTime'.

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Method validate

  Throws:
    `org.exolab.castor.xml.ValidationException`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD